Subject: Followup..

From: [email-masked] (Rob Thomas 890-7033 Mathematical Sciences Dept., Univ. of Alabama-Huntsville)
Date: Wed, 28 Apr 1993 22:23:33 -0700

Okay... I've gotten it to accept a command by inserting the following:

if(line == "Command Forthcoming")
  suspend(1);
endif
line = read(conn);
this:handle(line);

(This is in the while loop, pretty much just like the example verb in 'help
open_network_connection(). )

My question *now* is, "How does one insure that one and *only* one line gets
through during the suspend time?" This seems a rather kludgy way to let stuff
through to me, and sorta sloppy to boot, since rather than counting the lines
that come through (which I'd really like to do, but I can't since if I run it
through a verb, I can't take it back thru the parser, can I?) it just allows
lines through for a specific amount of time.

Thanks again...
====Rob, presuming he'll get this right sometime BEFORE hell freezes over..